> For the complete documentation index, see [llms.txt](https://docs.defguard.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.defguard.net/for-developers/rest-api/core/webhook/get-a-webhook.md).

# Get a webhook

```json
{"openapi":"3.1.0","info":{"title":"defguard Core API","version":"2.0.3"},"tags":[{"name":"webhook","description":"Webhooks triggered by user and provisioning events."}],"security":[{"cookie":[]},{"api_token":[]}],"components":{"securitySchemes":{"cookie":{"type":"apiKey","in":"cookie","name":"defguard_session"},"api_token":{"type":"http","scheme":"bearer"}},"schemas":{"WebHook":{"type":"object","required":["id","url","description","token","enabled","on_user_created","on_user_deleted","on_user_modified","on_hwkey_provision"],"properties":{"description":{"type":"string"},"enabled":{"type":"boolean"},"id":{"type":"integer","format":"int64"},"on_hwkey_provision":{"type":"boolean"},"on_user_created":{"type":"boolean"},"on_user_deleted":{"type":"boolean"},"on_user_modified":{"type":"boolean"},"token":{"type":"string"},"url":{"type":"string"}}},"ApiErrorResponse":{"type":"object","description":"Body returned with error responses.","required":["msg"],"properties":{"code":{"type":["string","null"],"description":"Machine-readable error code, returned for selected errors."},"msg":{"type":"string","description":"Human-readable error message."}}}}},"paths":{"/api/v1/webhook/{id}":{"get":{"tags":["webhook"],"summary":"Get a webhook","operationId":"get_webhook","parameters":[{"name":"id","in":"path","description":"ID of the webhook.","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"Webhook details.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WebHook"}}}},"401":{"description":"Session is missing or invalid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"403":{"description":"Requires admin privileges.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"404":{"description":"Webhook not found."},"500":{"description":"Unable to get webhook.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}}}}}}}
```
